cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution

PHP Version update

My Wordpress website says I need to update my PHP version.  While 5.4 and 5.6 are available (5.6 defaulted in my dashboard), what are my options to update to 7.0?  What is the process of for Deluxe Linux cPanel Hosting?  I'm not looking to upgrade hosting but I just want to update PHP.

5 REPLIES 5
Super User I
Super User I

Re: PHP Version update

Hello @DavidCA and thank you for reaching out to the GoDaddy community.

 

Check out this GoDaddy article in changing your PHP version. 


Very Respectfully,

Drew Davis
Navy Veteran and Entrepreneur | GoDaddy Pro user | "Proud to be serving others!"

*** Please note that I offer free advice on this forum. Please feel free to give me KUDOS on this topic/discussion; mark my comment as ACCEPTED SOLUTION if you believe I've helped solved your issue. Thanks! ***
Super User III
Super User III

Re: PHP Version update

@DavidCA 

 

I am guessing you are currently using GoDaddy's "Deluxe Linux Hosting" - This is an older product - I would reach out (via Phone) to sales / support and they can give you options to get moved to the cPanel server.



I am a GoDaddy End User - Just Like You
Check out my site! | I currently manage over 300 WordPress Websites
* Please note that I offer free advice on this forum. If you would like personalized help, please contact me. Otherwise, please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community

Re: PHP Version update

I was told that my Ultimate Web Hostling Linux which is classic hosting can only support up to php 5.6 and that in order to update to a higher version of php I would need to upgrade my hosting to Ultimate Hosting Linux with cPanel Hosting in which I could then update to 7.3 .. Time to change hosts.

Super User III
Super User III
Solution

Re: PHP Version update

@MWALKER23 

 

Welcome to this thread and that is correct - you are on an older platform which only supports up to php 5.6 - I am a GoDaddy end user like you. I'm not sure why you are saying to switch host over this - Most hosts do at some point sunset / archive older platforms. For example if you have a VPS running Cent OS 6 - support ended December of 2020. Many VPS servers will not support an upgrade to Cent OS 7 - think of this like an older PC not being able to run the latest version of Windows. Therefore you would need to upgrade to a newer version (hardware, software, etc) of the VPS server which does support it.

 

Whatever you decide - much success.



I am a GoDaddy End User - Just Like You
Check out my site! | I currently manage over 300 WordPress Websites
* Please note that I offer free advice on this forum. If you would like personalized help, please contact me. Otherwise, please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community

Re: PHP Version update

because for as much as GoDaddy charges for a "Deluxe" hosting account (and it's more every year), not being able to upgrade php past 5.6 is absurd and puts their customers at risk.  The ultimate is almost twice as expensive.